curl --request GET \
--url https://api.qovery.com/admin/userSignUp \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"type_of_use": "PERSONAL",
"qovery_usage": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_size": "1-10",
"user_role": "<string>",
"qovery_usage_other": "<string>",
"user_questions": "<string>",
"current_step": "<string>",
"dx_auth": true,
"infrastructure_hosting": "<string>"
}Retrieve the Sign Up information of the user
curl --request GET \
--url https://api.qovery.com/admin/userSignUp \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"type_of_use": "PERSONAL",
"qovery_usage": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_size": "1-10",
"user_role": "<string>",
"qovery_usage_other": "<string>",
"user_questions": "<string>",
"current_step": "<string>",
"dx_auth": true,
"infrastructure_hosting": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
If a previous sign up request for the same user has been found, the information is returned in the payload
PERSONAL, SCHOOL, WORK 1-10, 11-50, 51-200, 201-500, 500+ Was this page helpful?